Skip to content

Retrieve A Specific Message

Request

Retrieves a specific message

Security
apiKey
Path
thread_idstringrequired
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/messaging/{thread_id}/messages/{id}.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/messaging/{thread_id}/messages/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 02:01:07 GMT"
ETagstring
Example:"W/\"23cdcff949c6326969601f967e777893\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"677a61c4-a9e6-4128-9e2e-6b07568f0457"
X-Runtimestring
Example:"0.047095"
X-Unique-IDstring
Example:"CA7C7B8A:D1C2_0A001312:01BB_575F6541_77ADA4:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<message>
    <id>23275dfc-086d-11e4-a5ac-174e8ef2ef84</id>
    <thread_id>23268152-086d-11e4-a5ac-174e8ef2ef84</thread_id>
    <from_user_id>3</from_user_id>
    <from_user_name>Joe Bloggs</from_user_name>
    <read_by_user_ids>3</read_by_user_ids>
    <received_by_user_ids/>
    <body>This is a new message</body>
    <created_at>2014-07-10 20:02:36 UTC</created_at>
    <updated_at>2014-07-11 08:02:36 +1200</updated_at>
</message>